Linux repositories inspector

libgjs-dev - Mozilla-based javascript bindings for the GNOME platform

Makes it possible for applications to use all of GNOME's platform libraries using the Javascript language. It's mainly based on the Mozilla javascript engine and the GObject introspection framework.
This package contains the development files applications need to build against.
1.56.1
Debian iconDebian experimental
1.54.3
Debian iconDebian 10.0
Ubuntu iconUbuntu 18.10
Ubuntu iconUbuntu 19.04
1.54.1
Ubuntu iconUbuntu 18.10
1.52.5
Ubuntu iconUbuntu 18.04 LTS
1.52.1
Ubuntu iconUbuntu 18.04 LTS
1.50.1
Ubuntu iconUbuntu 17.10
1.46.0
Debian iconDebian 9.0
1.44.0
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb1.54.3-110.03.201915.7 kiB53 kiB
Debian iconDebian experimental experimental/maindeb1.56.1-109.04.201916.5 kiB55 kiB
Debian iconDebian 9.0 stretch/maindeb1.46.0-1+b210.11.201721.1 kiB140 kiB
Ubuntu iconUbuntu 17.10 artful/maindeb1.50.1-110.11.20175.14 kiB39 kiB
Ubuntu iconUbuntu 18.04 LTS bionic/maindeb1.52.1-1ubuntu112.06.20186.99 kiB51 kiB
Ubuntu iconUbuntu 18.04 LTS bionic-updates/maindeb1.52.5-0ubuntu18.04.116.01.20197.07 kiB52 kiB
Ubuntu iconUbuntu 18.10 cosmic/maindeb1.54.1-114.01.20197.56 kiB53 kiB
Ubuntu iconUbuntu 18.10 cosmic-updates/maindeb1.54.3-1~ubuntu18.10.114.01.20197.4 kiB53 kiB
Ubuntu iconUbuntu 19.04 disco/maindeb1.54.3-1build127.01.20197.4 kiB53 kiB
Ubuntu iconUbuntu 16.04 LTS xenial/universedeb1.44.0-1ubuntu110.11.201715.2 kiB145 kiB

Latest updates

Debian experimental icon

Debian experimental experimental/main: Updated from 1.56.0-1 to 1.56.1-1

09.04.2019 11:16
  • New upstream stable release, fixing:
    • Calling dumpHeap() on non-existent directory causes crash
    • Using Gio.MemoryInputStream.new_from_data ("string") causes segfault
    • Fix gjs_context_eval() for non-zero-terminated strings
Debian experimental icon

Debian experimental experimental/main: Version 1.56.0-1 introduced

14.03.2019 16:45
  • New upstream release
  • Bump Standards-Version to 4.3.0
  • debian/rules: Drop the "Provides=libgjs0-libmozjs-52-0". There aren't any (currently buildable) references to this left in the archive.
  • Update gbp.conf to standard settings.
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 1.52.4-1 to 1.54.3-1

10.03.2019 08:51
  • Team upload
  • New upstream release
  • Force time zone to UTC when running tests.
    This hopefully fixes FTBFS in the pathological time zone used to test reproducible builds.
Ubuntu 19.04 icon

Ubuntu 19.04 disco/main: Updated from 1.54.3-1 to 1.54.3-1build1

27.01.2019 17:15
See package libgjs0g
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/main: Version 1.54.3-1build1 removed

27.01.2019 17:05
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/main: Version 1.52.5-0ubuntu18.04.1 removed

17.01.2019 05:55
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-updates/main: Version 1.52.5-0ubuntu18.04.1 introduced

16.01.2019 11:07
See package libgjs0g
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/main: Version 1.54.3-1build1 introduced

15.01.2019 06:55
See package libgjs0g
Ubuntu 19.04 icon

Ubuntu 19.04 disco/main: Version 1.54.3-1 introduced

14.01.2019 12:55
See package libgjs0g
Debian experimental icon

Debian experimental experimental/main: Version 1.51.91-1 removed

14.01.2019 03:35
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-updates/main: Version 1.54.3-1~ubuntu18.10.1 introduced

14.01.2019 03:16
See package libgjs0g
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic/main: Version 1.54.1-1 introduced

14.01.2019 03:06
See package libgjs0g
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 1.50.3-2 to 1.52.4-1

12.01.2019 13:59
  • Team upload
  • New upstream release
  • d/watch: Restrict to versions 1.52.x
    • gjs 1.54.x is currently in experimental
    • d/gbp.conf, d/control: Use debian/1.52.x branch for this release series
    • d/gbp.conf: Follow upstream/1.52.x branch
  • Add a Lintian override for library-not-linked-against-libc: usr/lib/gjs/libwarnlib.so
  • Explicitly disable -Werror
  • Drop build-dependency on gnome-common which does not appear to be needed since 1.47.0
  • d/gbp.conf: Don't number patches
  • dh_makeshlibs: Only generate a dependency on libgjs0g, not on the virtual package libgjs0-libmozjs-52-0. Since the gjs-internals module was removed in version 1.47.0, gjs does not expose mozjs API/ABI in its own ABI, so it is unnecessary for gjs users like gnome-shell, gnome-sushi and polari to depend on their gjs having been compiled against a specific version of mozjs.
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/main: Version 1.52.5-0ubuntu18.04.1 introduced

12.01.2019 13:43
See package libgjs0g
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/main: Updated from 1.51.91-1 to 1.52.1-1ubuntu1

12.06.2018 08:29
See package libgjs0g
Debian experimental icon

Debian experimental experimental/main: Version 1.51.91-1 introduced

26.02.2018 04:25
Simon McVittie
  • New upstream release
    • Drop patches that were applied upstream
    Tim Lunn
    • Install valgrind suppresion files into libgjs-dev
    • d/p/fix_build.patch: explicitly link against librt
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/main: Updated from 1.50.3-2 to 1.51.91-1

26.02.2018 04:17
See package libgjs0g
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/main: Version 1.50.3-2 removed

01.02.2018 23:40
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/main: Updated from 1.50.2-2 to 1.50.3-2

01.02.2018 23:10
See package libgjs0g
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 1.50.2-3 to 1.50.3-2

31.01.2018 22:23
  • Team upload
  • Add patch from upstream merge request 38 to prevent crashes in certain error situations (possibly resolves #888052, #888199)
  • Add patches to improve uncatchable exception reporting
  • Revert some of the upstream changes from 1.50.3, which appear to cause crashes (Closes: #888485; possibly also #888052, #888199)
⇧ Top